• Falha Relevante Encontrada no TYPO3

    Outra falha na função jumpURL do sistema de gerenciamento de conteúdo (CMS) open source TYPO3 permite que intrusos possam baixar arquivos arbitrários - no pior dos casos, os invasores serão capazes de obter o arquivo localconf.php, que contém a senha para instalar a ferramenta, assim como um nome de usuário e senha para o banco de dados. No início do ano passado, uma falha similar foi explorada para invadir o site do Ministro Finanças da Alemanha, Wolfgang Schäuble.



    No entanto, desta vez a situação não parece tão crítica. Os desenvolvedores dizem que o valor hash necessário para recuperar os arquivos podem ser falsificados para ignorar o controle de acesso TYPO3. O problema existe porque a comparação do valor hash transmitido com o valor hash calculado pelo servidor não é type-secure. Nas instalações vulneráveis, TYPO3 só irá verificar se os hashes são iguais ($ a == $ b).

    As versões 4.2.14, 4.3.6 e 4.4.3 são afetadas pelo problema, e as versões 4.2.15, 4.3.7 e 4.4.4 corrigem a falha. As atualizações também corrigem uma série de outros problemas, como vulnerabilidades Cross-Site Scripting (XSS) e Denial-of-Service (DoS). Os administradores são aconselhados a instalar as atualizações necessárias o mais rápido possível.


    Saiba Mais:

    [1] Heise On-line: http://www.h-online.com/open/news/it...l-1104218.html

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L